import { V as p, bk as V, d as L, r as _, a as q, Z as l, cZ as E, c as N, o as O, w as e, j as n, W as M, l as i, H as W, aI as $, p as P, A as X, B as Z, i as j, X as z, __tla as __tla_0 } from "./index-9PRMimni.js";
import { B as G } from "./BasicForm-dL_oCSPM.js";
import { O as H, ax as U, aT as J, aU as K } from "./template-rpthWlT9.js";
import { B as Q } from "./Table-0PViRYCf.js";
import { _ as Y } from "./TableAction.vue_vue_type_script_setup_true_lang-Bj_Y4LtN.js";
import { _ as oo, __tla as __tla_1 } from "./Modal.vue_vue_type_script_setup_true_lang-CePe8f5b.js";
import { u as to } from "./useForm-CKmgcynv.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./componentSetting-DVhNDBTO.js";
import "./ImageUpload-DUsnro3W.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./tabsView-BXskTdVh.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./propTypes-CebMRUpe.js";
import "./BasicSelect-C_uwzMkE.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./dictionary-BRse4lkf.js";
import "./index-DkvzUEqh.js";
import "./index-kKnqLkWM.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./TreeSelect-BZh2DeCh.js";
import "./Table.vue_vue_type_style_index_0_scoped_7b9e6ece_lang-BoW2DV_e.js";
import "./componentMap-CElCaWis.js";
import "./format-DgF6KtHk.js";
import "./omit-B2_8Y6O_.js";
import "./_flatRest-DBrd2CHT.js";
import "./flatten-DeoUZLdb.js";
import "./print-CT_2hrjP.js";
import "./basicModal.vue_vue_type_script_setup_true_lang-CsJydKhW.js";
import "./basicModal.vue_vue_type_style_index_0_lang-8QZP7ApW.js";
import "./useModal-CO65vga3.js";
import "./useTimeout-BxFilWvD.js";
import "./usePageCache-DluHn7Yy.js";
import "./Flex-CTSf12gq.js";
import "./role-DXhO1zOz.js";
let Xo;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })()
]).then(async ()=>{
    const { t: s } = p();
    V();
    await H();
    await U();
    s("hsqe.auditInspection.navigationAudit.statusList.filling"), s("hsqe.auditInspection.navigationAudit.statusList.pendingApproval"), s("hsqe.auditInspection.navigationAudit.statusList.managerReturns"), s("hsqe.auditInspection.navigationAudit.statusList.complete");
    let eo, r, no;
    eo = [
        {
            field: "auditContent",
            component: "NInput",
            label: s("mdm.smsInspectionTypeConfig.inspectionType")
        }
    ];
    ({ t: r } = p());
    no = [
        {
            title: "id",
            key: "id"
        },
        {
            title: r("mdm.smsInspectionTypeConfig.inspectionType"),
            key: "auditContent"
        },
        {
            title: r("mdm.role.role"),
            key: "roleName"
        },
        {
            title: r("mdm.role.permission"),
            key: "permissionLabel"
        },
        {
            title: r("mdm.role.isDOCRole"),
            key: "ifDoc",
            render (u) {
                return u.ifDoc ? "yes" : "no";
            }
        }
    ];
    Xo = L({
        __name: "index",
        setup (u) {
            const [F, { getFieldsValue: g }] = to({
                gridProps: {
                    cols: "4",
                    xGap: "15"
                },
                labelWidth: 100,
                schemas: eo,
                showAdvancedButton: !1
            });
            function C() {
                m();
            }
            function b() {
                c.value.reload();
            }
            const { t: o } = p(), x = E(), c = _(), a = _(), y = q({
                width: 120,
                title: o("common.optionsText"),
                key: "action",
                fixed: "right",
                align: "center",
                render (t) {
                    return l(Y, {
                        style: "text",
                        actions: [
                            {
                                label: o("common.optionsViewText"),
                                labelShow: !1,
                                icon: l("i", {
                                    class: "iconfont icon-View text-[#3F7AE9] text-[20px]"
                                }),
                                onClick: k.bind(null, t)
                            },
                            {
                                label: o("common.optionsEditText"),
                                labelShow: !1,
                                icon: l("i", {
                                    class: "iconfont icon-a-Frame28"
                                }),
                                onClick: T.bind(null, t)
                            },
                            {
                                label: o("common.optionsDelText"),
                                color: "red",
                                labelShow: !1,
                                icon: l("i", {
                                    class: "iconfont icon-Delete red"
                                }),
                                isConfirm: !0,
                                confirmContent: o("common.dialogContentDeleteText"),
                                onPositiveClick: ()=>{
                                    v(t);
                                }
                            }
                        ]
                    });
                }
            });
            function h() {
                a.value?.showModal(o("common.addText"), null);
            }
            function k(t) {
                a.value?.showModal(o("common.optionsEditText"), t, !0);
            }
            function T(t) {
                a.value?.showModal(o("common.optionsEditText"), t);
            }
            async function v(t) {
                await J(t.id), x.success(o("common.optionsDelSuccessText")), m();
            }
            async function w() {
                return {
                    list: await K(g())
                };
            }
            function m() {
                c.value?.reload();
            }
            return (t, d)=>{
                const A = G, f = M, B = Z, D = $, R = W, S = z;
                return O(), N(S, null, {
                    default: e(()=>[
                            n(f, {
                                class: "mb-3 proCard"
                            }, {
                                default: e(()=>[
                                        n(A, {
                                            onRegister: i(F),
                                            onSubmit: C,
                                            onReset: b
                                        }, null, 8, [
                                            "onRegister"
                                        ])
                                    ]),
                                _: 1
                            }),
                            n(f, {
                                bordered: !1,
                                class: "proCard"
                            }, {
                                default: e(()=>[
                                        n(i(Q), {
                                            ref_key: "tableRef",
                                            ref: c,
                                            columns: i(no),
                                            request: w,
                                            "row-key": (I)=>I.id,
                                            actionColumn: i(y),
                                            autoScrollX: !0,
                                            "virtual-scroll": "",
                                            pagination: !1
                                        }, {
                                            tableTitle: e(()=>[
                                                    n(R, null, {
                                                        default: e(()=>[
                                                                n(D, {
                                                                    trigger: "hover"
                                                                }, {
                                                                    trigger: e(()=>[
                                                                            n(B, {
                                                                                type: "primary",
                                                                                strong: "",
                                                                                bordered: "",
                                                                                secondary: "",
                                                                                class: "size-7",
                                                                                onClick: h
                                                                            }, {
                                                                                icon: e(()=>d[0] || (d[0] = [
                                                                                        j("i", {
                                                                                            class: "iconfont icon-ADD"
                                                                                        }, null, -1)
                                                                                    ])),
                                                                                _: 1
                                                                            })
                                                                        ]),
                                                                    default: e(()=>[
                                                                            P(" " + X(i(o)("common.addText")), 1)
                                                                        ]),
                                                                    _: 1
                                                                })
                                                            ]),
                                                        _: 1
                                                    })
                                                ]),
                                            _: 1
                                        }, 8, [
                                            "columns",
                                            "row-key",
                                            "actionColumn"
                                        ])
                                    ]),
                                _: 1
                            }),
                            n(oo, {
                                ref_key: "modalRef",
                                ref: a,
                                onSuccess: m
                            }, null, 512)
                        ]),
                    _: 1
                });
            };
        }
    });
});
export { Xo as default, __tla };
